(*********************************************************************)
(**  Pilsner: A Compositionally Verified Compiler for a             **)
(**  Higher-Order Imperative Language                               **)
(**                                                                 **)
(**  For copyright and license, see LICENSE.txt.                    **)
(**  For anything else, see README.txt.                             **)
(*********************************************************************)

(** We rely on ssreflect mainly for being able to reorder subgoals.
    Note that we do not actually import/export the ssreflect.v file!
*)

(** The ssreflect ML module is loaded in a separate file to avoid weirdness. *)

Declare ML Module "ssreflect".

(** Restore default bullet semantics. *)
Global Set Bullet Behavior "Strict Subproofs".

(** These two lines magically enable the ssreflect semantics of [rewrite]. *)
Reserved Notation "'is'" (at level 8).
Definition protect_term (A : Type) (x : A) : A := x.


