(*********************************************************************)
(**  Pilsner: A Compositionally Verified Compiler for a             **)
(**  Higher-Order Imperative Language                               **)
(**                                                                 **)
(**  For copyright and license, see LICENSE.txt.                    **)
(**  For anything else, see README.txt.                             **)
(*********************************************************************)

Require Import Arith Bool List.
Require Import vgtac basis ssr.
Require Import lang_src_lsi lang_mid lang_spec.
Require Import model model_common model_properties gw util.

Set Implicit Arguments. 
Global Set Bullet Behavior "Strict Subproofs".



(** * Properties about [ts_gw]. *)

Lemma ts_gw_vclos_closed: forall (w: world_loca ts_gw) s r ty va vb
    (VC: vclos (wlift w) s r ty va vb)
    x (FV: fv_exp vb x),
  False.
Proof.
  i; invc VC REL; try rrdes CB; eauto.
  - rrdes VR; destruct vb; ss; subst; vauto.
  - invc VR; rrdes CB; eauto.
Qed.










































































































































